# Created by pyp2rpm-3.3.2
%global pypi_name pre-commit

Name:           python-%{pypi_name}
Version:        1.18.2
Release:        %mkrel 3
Summary:        A framework for managing and maintaining multi-language pre-commit hooks
Group:          Development/Python
License:        MIT
URL:            https://github.com/pre-commit/pre-commit
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/pre_commit-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A framework for managing and maintaining multi-language pre-commit hooks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(aspy.yaml)
Requires:       python3dist(cfgv) >= 2.0.0
Requires:       python3dist(identify) >= 1.0.0
Requires:       python3dist(importlib-metadata)
Requires:       python3dist(nodeenv) >= 0.11.1
Requires:       python3dist(pyyaml)
Requires:       python3dist(setuptools)
Requires:       python3dist(six)
Requires:       python3dist(toml)
Requires:       python3dist(virtualenv) >= 15.2

%description -n python3-%{pypi_name}
A framework for managing and maintaining multi-language pre-commit hooks.

%prep
%autosetup -n pre_commit-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Fix requires
sed -i -e '/futures/d' -e '/importlib-resources/d' setup.cfg

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/pre-commit
%{_bindir}/pre-commit-validate-config
%{_bindir}/pre-commit-validate-manifest
%{python3_sitelib}/pre_commit
%{python3_sitelib}/pre_commit-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.18.2-3.mga8
+ Revision: 1531396
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.18.2-2.mga8
+ Revision: 1439794
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.18.2-1.mga8
+ Revision: 1429850
- imported package python-pre-commit

